<?php

namespace local_treestudyplan\local\ungradedscanners;
use \grade_item;

abstract class scanner_base {
    protected $gi;

    public function __construct(grade_item $gi){
        $this->gi = $gi;
    }

    public abstract function count_ungraded($course_userids=[]);

    public abstract function count_graded($course_userids=[]);

    public abstract function has_ungraded_submission($userid);

}